Package org.flowable.bpmn.model

# Class FlowElement

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.FlowElement

All Implemented Interfaces:
  `HasExecutionListeners`, `HasExtensionAttributes`

Direct Known Subclasses:
  `DataObject`, `DataStoreReference`, `FlowNode`, `SequenceFlow`

public abstract class FlowElement extends BaseElement implements HasExecutionListeners

Author:
  Tijs Rademakers

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `documentation`
  `protected List<FlowableListener>`
  `executionListeners`
  `protected String`
  `name`
  `protected FlowElementsContainer`
  `parentContainer`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlowElement()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract FlowElement`
  `clone()`
  `String`
  `getDocumentation()`
  `List<FlowableListener>`
  `getExecutionListeners()`
  `String`
  `getName()`
  `FlowElementsContainer`
  `getParentContainer()`
  `SubProcess`
  `getSubProcess()`
  `void`
  `setDocumentation(String documentation)`
  `void`
  `setExecutionListeners(List<FlowableListener> executionListeners)`
  `void`
  `setName(String name)`
  `void`
  `setParentContainer(FlowElementsContainer parentContainer)`
  `void`
  `setValues(FlowElement otherElement)`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### name

    protected String name

  - ### documentation

    protected String documentation

  - ### executionListeners

    protected List<FlowableListener> executionListeners

  - ### parentContainer

    protected FlowElementsContainer parentContainer

- ## Constructor Details

  - ### FlowElement

    public FlowElement()

- ## Method Details

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getDocumentation

    public String getDocumentation()

  - ### setDocumentation

    public void setDocumentation(String documentation)

  - ### getExecutionListeners

    public List<FlowableListener> getExecutionListeners()
    Specified by:
      `getExecutionListeners` in interface `HasExecutionListeners`

  - ### setExecutionListeners

    public void setExecutionListeners(List<FlowableListener> executionListeners)
    Specified by:
      `setExecutionListeners` in interface `HasExecutionListeners`

  - ### getParentContainer

    public FlowElementsContainer getParentContainer()

  - ### getSubProcess

    public SubProcess getSubProcess()

  - ### setParentContainer

    public void setParentContainer(FlowElementsContainer parentContainer)

  - ### clone

    public abstract FlowElement clone()
    Specified by:
      `clone` in class `BaseElement`

  - ### setValues

    public void setValues(FlowElement otherElement)